Bug 253813 - Package Review: cjkunifonts (split from fonts-chinese) [renamed to cjkuni-fonts]
Package Review: cjkunifonts (split from fonts-chinese) [renamed to cjkuni-fonts]
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nicolas Mailhot
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks: 253161 477373
  Show dependency treegraph
 
Reported: 2007-08-21 22:09 EDT by Caius Chance
Modified: 2009-02-16 08:14 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 08:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)
cjkuni-fonts.spec-1.patch (2.29 KB, patch)
2007-08-27 04:21 EDT, Jens Petersen
no flags Details | Diff
cjkunifonts.spec-2.patch (5.93 KB, patch)
2007-08-28 08:44 EDT, Jens Petersen
no flags Details | Diff
cjkunifonts.spec-3.patch (1.60 KB, patch)
2007-08-28 22:57 EDT, Jens Petersen
no flags Details | Diff
cjkunifonts.spec-4.patch (1.92 KB, patch)
2007-08-29 01:08 EDT, Jens Petersen
no flags Details | Diff
cjkunifonts.spec-5.patch (1.20 KB, patch)
2007-08-29 22:56 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Caius Chance 2007-08-21 22:09:13 EDT
+++ This bug was initially created as a clone of Bug #253161 +++

Description of problem:
fonts-chinese contains a number of different fonts, they should be
moved to packages that reflect the upstream project's name as far
as possible: eg to arphic-fonts and taipei-fonts.

-- Additional comment from cchance@redhat.com on 2007-08-19 07:58 EST --
Excuse me to ask, how could this proposal conserve the current convenience for
user to install formal chinese fonts when it is carried out?

-- Additional comment from petersen@redhat.com on 2007-08-19 20:42 EST --
fonts-chinese will require the new fonts packages.
Comment 3 Jens Petersen 2007-08-22 02:07:47 EDT
I am still wondering if it is better to split the ukai and uming fonts into
separate packages.  This might also be better for casual Chinese users who
don't need them both.  Another way to do that would be to subpackage them from
the same srpm - that would be less package maintainence work anyway.

Anyway I think the base name should be cjkunifonts like the upstream project.
I don't mind if the package is called cjkunifonts or cjkunifonts-fonts say.
http://www.freedesktop.org/wiki/Software/CJKUnifonts
Comment 4 Caius Chance 2007-08-23 01:42:49 EDT
I agree to split ukai and uming fonts into separate packages. Generally users
will accept the installation of both even most users only need uming for daily use.

Okay, let's use cjkunifonts-fonts as package name.
Comment 6 Jens Petersen 2007-08-27 01:22:49 EDT
I suggest using the name cjkunifonts for the source package or maybe cjkuni-fonts.
Comment 8 Jens Petersen 2007-08-27 03:04:18 EDT
Thanks.

I think it would be better to generate the static fonts files at build time
rather than in %post like sazanami-fonts now does.  So only fc-cache
needs to be run in the scripts.
Comment 9 Jens Petersen 2007-08-27 04:07:22 EDT
rpmlint on srpm:
W: cjkuni-fonts summary-ended-with-dot Chinese TrueType Font -- Simplified and
Traditional Chinese Ming and Kai Face.
E: cjkuni-fonts description-line-too-long Chinese TTF Fonts donated by Arphic
company, with additional Hong Kong characters by Hong Kong font project. Read
license files for details.
W: cjkuni-fonts invalid-license Arphic Public License
W: cjkuni-fonts invalid-license GPL-like
W: cjkuni-fonts unversioned-explicit-obsoletes ttfonts-zh_CN
W: cjkuni-fonts unversioned-explicit-obsoletes ttfonts-zh_TW
W: cjkuni-fonts unversioned-explicit-obsoletes ttf-moe_sung
W: cjkuni-fonts unversioned-explicit-obsoletes ttf-arphic_bming
W: cjkuni-fonts unversioned-explicit-obsoletes ttfonts-zh_CN
W: cjkuni-fonts unversioned-explicit-obsoletes ttfonts-zh_TW
W: cjkuni-fonts unversioned-explicit-obsoletes ttf-moe_kai
W: cjkuni-fonts unversioned-explicit-obsoletes ttf-arphic_bkai

rpmlint output on binary packages:

W: cjkuni-fonts-ukai non-conffile-in-etc /etc/ghostscript/cidfmap.zh_CN
W: cjkuni-fonts-ukai non-conffile-in-etc /etc/ghostscript/FAPIcidfmap.zh_CN
W: cjkuni-fonts-ukai non-conffile-in-etc /etc/ghostscript/FAPIcidfmap.zh_TW
W: cjkuni-fonts-ukai non-conffile-in-etc /etc/ghostscript/CIDFnmap.zh_TW
W: cjkuni-fonts-ukai non-conffile-in-etc /etc/ghostscript/cidfmap.zh_TW
W: cjkuni-fonts-ukai symlink-should-be-relative
/etc/X11/fontpath.d/cjkuni-fonts-ukai /usr/share/fonts/cjkuni-fonts-ukai
W: cjkuni-fonts-ukai non-conffile-in-etc /etc/ghostscript/CIDFnmap.zh_CN
W: cjkuni-fonts-ukai invalid-license Arphic Public License
W: cjkuni-fonts-ukai invalid-license GPL-like
W: cjkuni-fonts-ukai obsolete-not-provided ttfonts-zh_CN
W: cjkuni-fonts-ukai obsolete-not-provided ttfonts-zh_TW
W: cjkuni-fonts-ukai obsolete-not-provided ttf-moe_kai
W: cjkuni-fonts-ukai obsolete-not-provided ttf-arphic_bkai
W: cjkuni-fonts-uming non-conffile-in-etc /etc/ghostscript/cidfmap.zh_CN
W: cjkuni-fonts-uming non-conffile-in-etc /etc/ghostscript/FAPIcidfmap.zh_CN
W: cjkuni-fonts-uming non-conffile-in-etc /etc/ghostscript/FAPIcidfmap.zh_TW
W: cjkuni-fonts-uming non-conffile-in-etc /etc/ghostscript/CIDFnmap.zh_TW
W: cjkuni-fonts-uming non-conffile-in-etc /etc/ghostscript/cidfmap.zh_TW
W: cjkuni-fonts-uming non-conffile-in-etc /etc/ghostscript/CIDFnmap.zh_CN
W: cjkuni-fonts-uming symlink-should-be-relative
/etc/X11/fontpath.d/cjkuni-fonts-uming /usr/share/fonts/cjkuni-fonts-uming
W: cjkuni-fonts-uming invalid-license Arphic Public License
W: cjkuni-fonts-uming invalid-license GPL-like
W: cjkuni-fonts-uming obsolete-not-provided ttfonts-zh_CN
W: cjkuni-fonts-uming obsolete-not-provided ttfonts-zh_TW
W: cjkuni-fonts-uming obsolete-not-provided ttf-moe_sung
W: cjkuni-fonts-uming obsolete-not-provided ttf-arphic_bming
W: cjkuni-fonts-uming dangerous-command-in-%post ln
Comment 10 Jens Petersen 2007-08-27 04:21:40 EDT
Created attachment 173401 [details]
cjkuni-fonts.spec-1.patch

some initial suggested text changes
Comment 14 Jens Petersen 2007-08-28 08:00:46 EDT
Just remembered again: the urls should be on an external site please
so that everyone can see them.
Comment 15 Jens Petersen 2007-08-28 08:44:49 EDT
Created attachment 176161 [details]
cjkunifonts.spec-2.patch

Here are some more changes and some of the changes again from the first patch.

Please be consistent with the vertical spacing: either use one or two
spaces between each section.  In this patch I made all the sections
double-spaced but single-spaced is fine too.

BTW IMHO it would be easier to do the %install in parallel for uming and ukai
like in the initial version - that would make maintenance easier.

If you're unclear about any of the changes please feel free to ask questions.
:)
Comment 16 Jens Petersen 2007-08-28 08:48:41 EDT
Please also rename the spec file, thanks.
Comment 18 Jens Petersen 2007-08-28 22:52:38 EDT
Thanks for the update and unifying %install for uming and ukai -
looks much clearer now. :)

rpmlint still gives:
W: cjkunifonts unversioned-explicit-obsoletes ttfonts-zh_CN
W: cjkunifonts unversioned-explicit-obsoletes ttfonts-zh_TW
W: cjkunifonts unversioned-explicit-obsoletes ttfonts-zh_CN
W: cjkunifonts unversioned-explicit-obsoletes ttfonts-zh_TW

These need to be fixed.

All the CID map files need to be updated to the new directory paths.
Comment 19 Jens Petersen 2007-08-28 22:57:23 EDT
Created attachment 177821 [details]
cjkunifonts.spec-3.patch

A few more fixes (I forget to mention "Arphic" was added as a license
to the fedora wiki Licenses page).

After this still get:
W: cjkunifonts-uming non-conffile-in-etc /etc/ghostscript/cidfmap.zh_CN
W: cjkunifonts-uming non-conffile-in-etc /etc/ghostscript/FAPIcidfmap.zh_CN
W: cjkunifonts-uming non-conffile-in-etc /etc/ghostscript/FAPIcidfmap.zh_TW
W: cjkunifonts-uming non-conffile-in-etc /etc/ghostscript/CIDFnmap.zh_TW
W: cjkunifonts-uming non-conffile-in-etc /etc/ghostscript/cidfmap.zh_TW
W: cjkunifonts-uming symlink-should-be-relative
/etc/X11/fontpath.d/cjkunifonts-uming /usr/share/fonts/cjkunifonts-uming
W: cjkunifonts-uming non-conffile-in-etc /etc/ghostscript/CIDFnmap.zh_CN
W: cjkunifonts-uming obsolete-not-provided ttfonts-zh_CN
W: cjkunifonts-uming obsolete-not-provided ttfonts-zh_TW

and similarly on -ukai.
Comment 20 Jens Petersen 2007-08-28 23:08:09 EDT
The CID files should live in /usr/share/ghostscript/conf.d/ not /etc/ghostscript
as in fonts-japanese.
Comment 22 Jens Petersen 2007-08-29 01:08:20 EDT
Created attachment 177961 [details]
cjkunifonts.spec-4.patch

Fix license and dangling symlink.  The symlinks don't need to be forced either.


Just for the record too: usual practice is to bump the release field
for each new srpm.
Comment 23 Caius Chance 2007-08-29 01:34:09 EDT
Patched with comment# 22, overwritten on url in comment# 21.
Comment 24 Jens Petersen 2007-08-29 01:47:07 EDT
Please bump the release number in future so that the srpm's don't get overwritten.
Then you could also just use one dir (eg
http://cchance.fedorapeople.org/cjkunifonts/) for the review.
Comment 25 Jens Petersen 2007-08-29 02:19:57 EDT
The CID files still need to be updated.
Comment 26 Jens Petersen 2007-08-29 03:55:23 EDT
Here is the review:

+ rpmlint output:

W: cjkunifonts-ukai symlink-should-be-relative
/etc/X11/fontpath.d/cjkunifonts-ukai /usr/share/fonts/cjkunifonts-ukai
W: cjkunifonts-ukai obsolete-not-provided ttfonts-zh_CN
W: cjkunifonts-ukai obsolete-not-provided ttfonts-zh_TW
W: cjkunifonts-uming symlink-should-be-relative
/etc/X11/fontpath.d/cjkunifonts-uming /usr/share/fonts/cjkunifonts-uming
W: cjkunifonts-uming obsolete-not-provided ttfonts-zh_CN
W: cjkunifonts-uming obsolete-not-provided ttfonts-zh_TW

IMO these can be waived.

+ package name follows upstream project name
+ spec filename matches package name
+ packages two Chinese truetype fonts currently part of fonts-chinese
+ Arphic Public License is listed on Licensing page
+ license with translations included
+ spec files is legible
+ source files agree with debian upstream:
465b1350911f086a2021c36e039f79c8  ttf-arphic-ukai_0.1.20060928.orig.tar.gz
4f2e5a4ba4cf3ac01518ea211a89fdc1  ttf-arphic-uming_0.1.20060928.orig.tar.gz
+ package is noarch and builds correctly
+ build deps listed
+ owns own dirs
+ filelist looks correct
+ consistent macro usage

Need attention:
- should not own ghostscript/conf.d/ which belongs to ghostscript
- /usr/share/fonts/zh_*/TrueType/ seem to be empty in the rpm's
- and already mentioned ghostscript conf paths
Comment 27 Caius Chance 2007-08-29 19:59:40 EDT
CID files had been updated. The symlinks shouldn't with 'ghost' to be loaded to
system from temp dir.

http://cchance.fedorapeople.org/20070829_cjkunifonts/cjkunifonts.spec
http://cchance.fedorapeople.org/20070829_cjkunifonts/cjkunifonts-0.1.20060928-2.fc8.src.rpm

Comment 28 Jens Petersen 2007-08-29 22:56:08 EDT
Created attachment 180241 [details]
cjkunifonts.spec-5.patch

The changelog entries for each revision should document the changes too:

- drop requires for scriptlets
- %{cidmapdir} is owned by ghostscript

(The package is looking good now.  I think we're nearly there.:)
Comment 30 Jens Petersen 2007-08-30 01:37:19 EDT
Thanks, Caius!

Looks good to me now. :)

Package is APPROVED.
Comment 31 Caius Chance 2007-08-30 02:35:06 EDT
New Package CVS Request
=======================
Package Name: cjkunifonts
Short Description: Chinese TrueType Fonts.
Owners: cchance
Branches: devel
InitialCC: cchance
Cvsextras Commits: cchance
Comment 33 Jens Petersen 2007-08-30 03:55:18 EDT
better:

New Package CVS Request
=======================
Package Name: cjkunifonts
Short Description: Chinese TrueType Fonts
Owners: cchance
Branches: devel
InitialCC: 
Cvsextras Commits: yes

Comment 34 Jens Petersen 2007-08-30 19:33:53 EDT
cvsadmin done.

You can import the srpm now with common/cvs-import.sh.
Comment 35 Jens Petersen 2007-08-31 04:34:14 EDT
cjkunifonts-0.1.20060928-4.fc8 imported and built by Caius.
Comment 36 Caius Chance 2009-01-18 22:59:51 EST
Requested Fedora 10 tree for renamed package 'cjkuni-fonts' according to new font packaging guidelines.

[engineering.redhat.com #34002] AutoReply: New package tree on Fedora 11: cjkuni-fonts
Comment 37 Caius Chance 2009-01-19 18:38:54 EST
New Package CVS Request
=======================
Package Name: cjkuni-fonts
Short Description: Chinese, Japanese, Korean Unicode TrueType fonts.
Owners: cchance
Branches: devel
InitialCC: fonts-sig
Comment 38 Nicolas Mailhot 2009-01-20 02:13:01 EST
fedora-review+ ⇒ will review the cjkunifonts changes anyway and it's easier for me if they're done directly with the new srpm name in the new srpm component before the review (and not the reverse)
Comment 39 Jens Petersen 2009-01-20 02:30:46 EST
Nicolas, then better to open new review bugs IMHO than reopening old reviews for this?
Comment 40 Nicolas Mailhot 2009-01-20 03:26:11 EST
I don't know, the whole renaming process is under-formalised. Ask nirik
Comment 41 Kevin Fenzi 2009-01-20 16:23:49 EST
ok, so this is a rename of an existing font? 

I can't seem to get to any of the above spec urls... 

If this package correctly obsoletes the old package, I can make the new package and you can follow the end of life procedure on the old package.
Comment 43 Jens Petersen 2009-01-20 22:03:51 EST
(In reply to comment #41)
> ok, so this is a rename of an existing font? 

Yep, new package required for rename under new fonts packaging guidelines.

cvs admin done

Caius please import and build new package there so that Nicolas can review it.

Note You need to log in before you can comment on or make changes to this bug.